Subject: Re: bug#55986: 28.1; (setq repeat-keep-prefix t) breaks repeat-mode

From: Juri Linkov <[email-masked]>
Date: Thu, 23 Jun 2022 21:59:02 +0300

forcemerge 51281 55986
thanks

>>> When using repeat-mode, (setq repeat-keep-prefix t) should allow a
>>> user to keep the previously used prefix when repeating a command.
>>> Instead, setting it to t will somehow break the repeat functionality.
>>> 'emacs -Q', reloading the init file or toggling repeat-mode off/on does
>>> not fix it.
>>
>> This should be implemented in the next release.
>
> Do you mean that this is already fixed on master?

Please see the commit ef4954b69c17831f4c8360c436352170305666ea that says:

    * lisp/repeat.el (repeat-keep-prefix): Change default to nil.
    'repeat-keep-prefix' doesn't yet have sufficient support
    that covers all cases in bug#51281, so it's disabled now.

There is a patch in bug#51281 that was too late to install
on the release branch, and moreover it needs more work
that should be finished before the next release.